%define oname   unicorn

Name:       ruby-%{oname}
Version:    3.5.0
Release:    %mkrel 1
Summary:    Rack HTTP server for fast clients and Unix
License:    Ruby License or GPLv2
Group:      Development/Ruby
URL:        http://unicorn.bogomips.org/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: rubygem(wrongdoc) >= 1.5
BuildRequires: rubygem(isolate) >= 3
BuildRequires: rubygem(kgio) >= 2.3.2
BuildRequires: socat
Requires:   ruby(abi) = 1.8

%description
\Unicorn is an HTTP server for Rack applications designed to only serve
fast clients on low-latency, high-bandwidth connections and take
advantage of features in Unix/Unix-like kernels.  Slow clients should
only be served by placing a reverse proxy capable of fully buffering
both the the request and response in between \Unicorn and slow clients.

%files
%defattr(-, root, root, -)
%doc FAQ README TUNING PHILOSOPHY HACKING DESIGN CONTRIBUTORS LICENSE SIGNALS KNOWN_ISSUES TODO ChangeLog LATEST ISSUES Sandbox NEWS examples/ Documentation/
%{_bindir}/unicorn
%{_bindir}/unicorn_rails
%{_mandir}/man1/%{oname}*.1.*
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/*

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/{FAQ,README,TUNING,PHILOSOPHY,HACKING,DESIGN,CONTRIBUTORS,LICENSE,SIGNALS,KNOWN_ISSUES,TODO,ChangeLog,LATEST,ISSUES,NEWS,Sandbox,ext/}

# Fix some really stupid shebang WTF
sed -i -e 's|#!.*|#!/usr/bin/env ruby|' %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/bin/*

# Install manpages
%{__install} -d %{buildroot}%{_mandir}/man1/
%{__install} -m644 man/man1/unicorn.1 %{buildroot}%{_mandir}/man1/
%{__install} -m644 man/man1/unicorn_rails.1 %{buildroot}%{_mandir}/man1

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Wed Apr 06 2011 shikamaru <shikamaru> 3.5.0-1.mga1
+ Revision: 81484
- imported package ruby-unicorn


* Fri Apr 01 2011 Rémy Clouard <shikamaru@mandriva.org> - 3.5.0-1
- Initial package
